Index: res/res_smdi.c
===================================================================
--- res/res_smdi.c	(.../http://svn.digium.com/svn/asterisk/branches/1.4/res/res_smdi.c)	(revision 188030)
+++ res/res_smdi.c	(.../res/res_smdi.c)	(working copy)
@@ -1265,7 +1265,12 @@
 return_error:
 	ast_module_user_remove(u);
 
-	return res;
+	/* Note: this should be "return res" and unload the module if no
+	 * interfaces are found, however, because of app_voicemail having
+	 * a dependancy on this, we need this resource available until
+	 * optional_api can be impelmented in 1.6.2. See bug_id=14846
+	*/
+	return 0;
 }
 
 static struct ast_custom_function smdi_msg_retrieve_function = {
